using projet.dal;
using projet.modele;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace projet.Controller
{
    internal class addPersonnelController
    {
        private readonly PersonnelAccess personnelAccess;
        private readonly ServiceAccess serviceAccess;

        public addPersonnelController()
        {
            personnelAccess = new PersonnelAccess();
            serviceAccess = new ServiceAccess();
        }

        public List<Service> GetAllServices()
        {
            return serviceAccess.GetAllServices();
        }

        public void addPersonnel(Personnel personnel)
        {
            personnelAccess.addPersonnel(personnel);
        }
    }
}
